> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a crypto payment customer

> Creates a Travel Rule customer profile for crypto payment attribution. These APIs are available to eligible Circle Singapore (`CIRCLE_SG`) merchants.

The customer starts in `pending` status while screening completes. A customer must be `approved` before a customer wallet can be created.




## OpenAPI

````yaml openapi/payments.yaml post /v1/payments/customers
openapi: 3.0.2
info:
  version: ${version}
  title: Crypto Deposits API
  description: >
    The Circle Payments API allows you to take payments from your end users via
    traditional methods such as debit & credit cards and receive settlement in
    USDC.


    The Circle Payments API has been designed with any business or internet
    commerce in mind, not just crypto applications, and it's based on Circle's
    extensive experience processing millions of card payments since 2014.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Payments
    description: Create, cancel, refund, and get updates on card payments.
  - name: Crypto Payment Intents
    description: Create and track intent for end user to pay via crypto.
  - name: Crypto Payment Customers
    description: >-
      Create and manage Travel Rule customers and customer wallets for crypto
      payment attribution.
  - name: Crypto Payment Refund Addresses
    description: Create refund address-book entries for crypto payment refunds.
paths:
  /v1/payments/customers:
    post:
      tags:
        - Crypto Payment Customers
      summary: Create a crypto payment customer
      description: >
        Creates a Travel Rule customer profile for crypto payment attribution.
        These APIs are available to eligible Circle Singapore (`CIRCLE_SG`)
        merchants.


        The customer starts in `pending` status while screening completes. A
        customer must be `approved` before a customer wallet can be created.
      operationId: createPaymentCustomer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentCustomerCreationRequest'
      responses:
        '201':
          description: Customer successfully created.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: CreatePaymentCustomerResponse
                properties:
                  data:
                    $ref: '#/components/schemas/PaymentCustomer'
              examples:
                individualCustomer:
                  value:
                    data:
                      id: 7d4f71c1-7e2e-4a1d-9df3-3a4d8d6d5a11
                      refId: 310c458a-18eb-4cbd-8a9a-586d9448ae69
                      type: individual
                      status: pending
                      firstName: John
                      lastName: Doe
                      dateOfBirth: '1990-11-29'
                      placeOfBirth: US
                      governmentIssuedId: A1234567
                      address:
                        addressLine1: 123 Main St.
                        addressLine2: Apt 4B
                        city: Boston
                        district: MA
                        postalCode: '02110'
                        country: US
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '409':
          $ref: '#/components/responses/Conflict'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearerAuth: []
components:
  schemas:
    PaymentCustomerCreationRequest:
      oneOf:
        - $ref: '#/components/schemas/PaymentCustomerIndividualCreationRequest'
        - $ref: '#/components/schemas/PaymentCustomerBusinessCreationRequest'
      discriminator:
        propertyName: type
        mapping:
          individual:
            $ref: '#/components/schemas/PaymentCustomerIndividualCreationRequest'
          business:
            $ref: '#/components/schemas/PaymentCustomerBusinessCreationRequest'
    PaymentCustomer:
      type: object
      description: Travel Rule customer record.
      required:
        - id
        - refId
        - type
        - status
      properties:
        id:
          $ref: '#/components/schemas/Id'
        refId:
          type: string
          format: uuid
          description: Merchant-supplied customer reference. Must be a UUID.
          example: 310c458a-18eb-4cbd-8a9a-586d9448ae69
        type:
          $ref: '#/components/schemas/PaymentCustomerType'
        status:
          $ref: '#/components/schemas/PaymentCustomerStatus'
        address:
          $ref: '#/components/schemas/PaymentCustomerAddress'
        firstName:
          type: string
          example: John
        lastName:
          type: string
          example: Doe
        dateOfBirth:
          type: string
          example: '1990-11-29'
        placeOfBirth:
          type: string
          example: US
        governmentIssuedId:
          type: string
          example: A1234567
        businessName:
          type: string
          example: Example Trading Pte. Ltd.
        dateOfIncorporation:
          type: string
          example: '2020-01-15'
        countryOfIncorporation:
          type: string
          example: SG
        businessRegistrationNumber:
          type: string
          example: 202000001A
    PaymentCustomerIndividualCreationRequest:
      type: object
      required:
        - refId
        - type
        - address
        - firstName
        - lastName
        - dateOfBirth
        - placeOfBirth
        - governmentIssuedId
      properties:
        refId:
          type: string
          format: uuid
          description: >-
            Merchant-supplied customer reference. Must be a UUID and unique for
            the merchant.
          example: 310c458a-18eb-4cbd-8a9a-586d9448ae69
        type:
          type: string
          enum:
            - individual
        address:
          $ref: '#/components/schemas/PaymentCustomerAddress'
        firstName:
          type: string
          maxLength: 255
          example: John
        lastName:
          type: string
          maxLength: 255
          example: Doe
        dateOfBirth:
          type: string
          description: Date in `yyyy-MM-dd` format.
          example: '1990-11-29'
        placeOfBirth:
          type: string
          maxLength: 255
          example: US
        governmentIssuedId:
          type: string
          maxLength: 255
          example: A1234567
    PaymentCustomerBusinessCreationRequest:
      type: object
      required:
        - refId
        - type
        - address
        - businessName
        - dateOfIncorporation
        - countryOfIncorporation
        - businessRegistrationNumber
      properties:
        refId:
          type: string
          format: uuid
          description: >-
            Merchant-supplied customer reference. Must be a UUID and unique for
            the merchant.
          example: 310c458a-18eb-4cbd-8a9a-586d9448ae69
        type:
          type: string
          enum:
            - business
        address:
          $ref: '#/components/schemas/PaymentCustomerAddress'
        businessName:
          type: string
          maxLength: 255
          example: Example Trading Pte. Ltd.
        dateOfIncorporation:
          type: string
          description: Date in `yyyy-MM-dd` format.
          example: '2020-01-15'
        countryOfIncorporation:
          type: string
          maxLength: 255
          example: SG
        businessRegistrationNumber:
          type: string
          maxLength: 255
          example: 202000001A
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    PaymentCustomerType:
      type: string
      description: Customer type.
      enum:
        - individual
        - business
      example: individual
    PaymentCustomerStatus:
      type: string
      description: Customer screening status.
      enum:
        - pending
        - approved
        - rejected
      example: pending
    PaymentCustomerAddress:
      type: object
      description: Customer address used for Travel Rule review.
      required:
        - addressLine1
        - city
        - postalCode
        - country
      properties:
        addressLine1:
          type: string
          maxLength: 255
          example: 123 Main St.
        addressLine2:
          type: string
          maxLength: 255
          example: Apt 4B
        district:
          type: string
          maxLength: 255
          example: MA
        city:
          type: string
          maxLength: 255
          example: Boston
        postalCode:
          type: string
          maxLength: 255
          example: '02110'
        country:
          type: string
          maxLength: 255
          example: US
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  responses:
    BadRequest:
      description: The request cannot be processed due to a client error.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: BadRequest
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 400
              message: Bad request.
          examples:
            response:
              value:
                code: 400
                message: Bad request.
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
    Forbidden:
      description: >-
        The request provides authentication, but the authenticated user does not
        possess sufficient permissions for accessing this resource.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: Forbidden
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 3
              message: Forbidden
          examples:
            response:
              value:
                code: 3
                message: Forbidden
    Conflict:
      description: >-
        The request has not been applied because it comes in conflict with
        another request (such as re-using an idempotencyKey for a different
        request).
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: Conflict
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 409
              message: Conflicts with another request.
          examples:
            response:
              value:
                code: 409
                message: Conflicts with another request.
    InternalServerError:
      description: Unexpected server error.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: InternalServerError
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 500
              message: Internal server error.
          examples:
            response:
              value:
                code: 500
                message: Internal server error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````